package com.lightinit.hsdatashow.service.topic.water;

import com.lightinit.hsdatashow.model.topic.water.ListNameAndListValueModel;
import com.lightinit.hsdatashow.model.topic.water.NameAndValue;
import com.lightinit.hsdatashow.model.topic.water.ShouyiRenkouFenleiReturnModel;

import java.math.BigDecimal;
import java.util.List;

public interface IWaterWorksService {
    BigDecimal getGongshuiRenkou();

    Integer getGongchengZongliang();

    BigDecimal getShouyiRenkou();

    BigDecimal getTouziZongshu();

    ListNameAndListValueModel getGequxianRenkou(String type);

    List<NameAndValue> getGongchengFenbu();

    List<NameAndValue> getGongchengGexian(String type);

    List<NameAndValue> getTouziGoucheng();

    List<NameAndValue> getTouziQuxian(String type);

    ShouyiRenkouFenleiReturnModel getShouyiRenkouFenlei();

    List<NameAndValue> getShouyiRenkouFenbu(String type);
}
